Subject: Re: Suggestion
From: [email-masked] (Fergus Henderson)

7 Feb 1998 20:39:06 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Trent Jarvi <[email-masked]>
Cc: [email-masked]

On 06-Feb-1998, Trent Jarvi <[email-masked]> wrote:
> 
> As long as your going through all this work to make win32 usable why not add
> something to gcc thats good for everyone especially win32.  Add the ability
> for gcc to search .tgz's for include files simular to java searching zips 
> for classes.

Unlike `.zip' files, `.tgz' files are not a suitable format for this.
Zip files allow you to get a list of the files in the archive without
decompressing it, but gzipped tar files do not (compare the efficiency
of `tar -ztf foo.tgz' vs `unzip -l foo.zip' for a large archive).

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".